Bug 115820 - CAN-2004-0077 Linux kernel do_mremap VMA limit local privilege escalation
Summary: CAN-2004-0077 Linux kernel do_mremap VMA limit local privilege escalation
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: kernel   
(Show other bugs)
Version: 3.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ernie Petrides
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-02-16 13:49 UTC by Mark J. Cox
Modified: 2007-11-30 22:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-03-11 09:17:35 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2004:066 normal SHIPPED_LIVE Important: kernel security update 2004-02-20 05:00:00 UTC

Description Mark J. Cox 2004-02-16 13:49:49 UTC
Paul Starzetz discovered a flaw in return value checking in mremap()
in the Linux kernel versions 2.4.24 and previous that may allow a
local attacker to gain root privileges. No exploit is currently
available; however this issue may be exploitable. 

Affected: 3

Embargoed until Feb18

Comment 1 Ernie Petrides 2004-02-19 21:26:53 UTC
The fix for this problem was committed to the RHEL3 U2 patch pool
on 9-Feb-2004, and has been available internally with the build of
kernel version 2.4.21-9.6.EL.

This problem was also fixed in kernel version 2.4.21-9.0.1.EL, which
was just released today on RHN as errata advisory RHSA-2004:066.



Note You need to log in before you can comment on or make changes to this bug.